Summary: Multiple stacked system monitors in one process.
Name:	gkrellm
Version:	2.1.5
Release: 3
License:	GPL
Group:	Applications/System
URL:	http://web.wt.net/~billw/gkrellm
Source0:	%{name}-%{version}.tar.bz2
Patch0: gkrellm-2.1.0-lib64.patch
Requires:	gtk2, glib2
BuildRequires:	gtk2-devel, glib2-devel, XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define desktop_file_utils_version 0.2.93
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.


%prep

%setup -q
%patch0 -p1 -b .lib64

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
mkdir -p $RPM_BUILD_ROOT%{_includedir}/gkrellm2

make install \
	LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale \
	INSTALLDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities/gkrellm.desktop <<EOF
[Desktop Entry]
Name=GKrellM System Monitor
Type=Application
Comment=Monitor for CPU, memory, disks, network, mail
Exec=gkrellm
EOF
desktop-file-install --vendor gnome \
        --dir $RPM_BUILD_ROOT/usr/share/applications \
        --add-category "Application;System;X-Red-Hat-Extra" \
        $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities/gkrellm.desktop
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities/gkrellm.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes.html INSTALL
%{_bindir}/gkrellm*
%{_mandir}/man1/gkrellm*
/usr/share/locale/*
%dir %{_includedir}/gkrellm2
%{_includedir}/gkrellm2/*
/usr/share/applications/*.desktop


%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Karsten Hopp <karsten@redhat.de> 2.1.5-2
- rename menu entry (#81876)

* Sun Jan 12 2003 Karsten Hopp <karsten@redhat.de> 2.1.5-1
- update (#81620)

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 2.1.3-2
- rebuild

* Wed Dec 11 2002 Karsten Hopp <karsten@redhat.de>
- 2.1.3-1
- Battery monitor can display multiple batteries
- Net timer lost the minutes display with large connect times
- use disk stats from /proc/partitions if available

* Tue Dec 03 2002 Karsten Hopp <karsten@redhat.de> 2.1.2-1
- updated translations
- .desktop file (#78562)
- minor bugfixes

* Mon Nov 11 2002 Karsten Hopp <karsten@redhat.de>
- update to 2.1 (glib2, gtk2)

* Wed Jul 17 2002 Karsten Hopp <karsten@redhat.de>
- update
- own /usr/include/gkrellm directory

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 11 2002 Karsten Hopp <karsten@redhat.de>
- Update to 1.2.11

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Karsten Hopp <karsten@redhat.de>
- Update to 1.2.9

* Wed Jan 23 2002 Karsten Hopp <karsten@redhat.de>
- Update to 1.2.6

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec 13 2001 Karsten Hopp <karsten@redhat.de>
- update to 1.2.5-1
- nls patch not required anymore

* Mon Nov 26 2001 Karsten Hopp <karsten@redhat.de>
- enable nls

* Mon Nov 26 2001 Karsten Hopp <karsten@redhat.de>
- update to 1.2.4

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Add %%defattr
- langify
- Don't define name, ver and rel at the top of the spec file

* Wed Jun 27 2001 Karsten Hopp <karsten@redhat.de>
- fix _mandir
- fix BuildRequires

* Wed Jun 27 2001 SATO Satoru <ssato@redhat.com>
- clean up (use system-defined macros)
- enable NLS

* Wed Mar 14 2001 Rob Lineweaver <rbline@wm.edu>
- fixed new manpage inclusion for newer RPM versions
- source is 1.0.7
- compiled for PPC and i386

* Fri Jan 19 2001 Kevin Ford <klford@uitsg.com>
- general cleanup of spec file

* Thu Jan 18 2001 Kevin Ford <klford@uitsg.com>
- Updated spec file to work with both v3 & v4 rpm
- moved changelog to bottom of spec file
- added defines for common items

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.

